%define name		libnids 
%define version		1.17
%define release		5mdk
%define lib_name_orig	%{name}
%define lib_major	1
%define lib_name	%mklibname %{name} %{lib_major}

Name:		%{name}
Summary:	Library that provides function of Network Intrusion Detection System 
Group:		Networking/Other		
Version:	%{version}
Release:	%{release}
License:	GPL        
URL:		http://www.packetfactory.net/Projects/Libnids
#Requires:        
BuildRequires:	libpcap-devel libnet
BuildRoot:	%{_tmppath}/%{name}-%{version}
Packager:	Antoine Ginies <aginies@mandrakesoft.com>
Source:		%{name}-%{version}rc1.tar.bz2

%package	-n %{lib_name}
Summary:	Libraries needed by %name
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{lib_name_orig}

%package	-n %{lib_name}-devel
Summary:	Library that provides function of Network Intrusion Detection System
Group:		Development/Other
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description 
Libnids is a library that provides a functionality of one of NIDS 
(Network Intrusion Detection System) components, namely E-component. It
means that libnids code watches all local network traffic, cooks received
datagrams a bit (quite a bit ;)), and provides convenient information on them 
to analyzing modules of NIDS. Libnids performs:
a) assembly of TCP segments into TCP streams
b) IP defragmentation
c) TCP port scan detection

%description -n %{lib_name}
Libnids is a library that provides a functionality of one of NIDS
(Network Intrusion Detection System) components, namely E-component. It
means that libnids code watches all local network traffic, cooks received
datagrams a bit (quite a bit ;)), and provides convenient information on them
to analyzing modules of NIDS.

%description -n %{lib_name}-devel
Libnids is a library that provides a functionality of one of NIDS 
(Network Intrusion Detection System) components, namely E-component. It
means that libnids code watches all local network traffic, cooks received
datagrams a bit (quite a bit ;)), and provides convenient information on them 
to analyzing modules of NIDS.

%prep
%setup -q

%build
%configure --enable-shared
%make -Wl,-shared

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(644,root,root,755)
%doc CHANGES COPYING README CREDITS MISC doc/*
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(644,root,root,755)
%doc CHANGES COPYING README CREDITS MISC doc/*
%defattr(-,root,root)
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_includedir}/nids.h
%{_mandir}/man3/*

%changelog
* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.17-5mdk
- fixed buildrequires
- use %%mklibname macro

* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.17-4mdk
- added libpcap-devel to BuildRequires

* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 1.17-3mdk
- rebuild for new glibc

* Wed Nov 20 2002 Per yvind Karlsen <peroyvind@sintrax.net> 1.17-2mdk
- Cleanups
- Updated package to follow mdk lib policy
- Remove obsolete Prefix tag's and unneeded Obsoletes tag's

* Fri Sep 27 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.17-1mdk
- first release for mandrakesoft
